import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const dateDrivenTerms = await conductor.qbd.dateDrivenTerms.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(dateDrivenTerms.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
date_driven_terms = conductor.qbd.date_driven_terms.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(date_driven_terms.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objectType": "list",
"url": "/v1/quickbooks-desktop/date-driven-terms",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_date_driven_term",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "2% 5th Net 25th",
"isActive": true,
"dueDayOfMonth": 15,
"gracePeriodDays": 2,
"discountDayOfMonth": 5,
"discountPercentage": "10"
}
]
}List all date-driven terms
Returns a list of date-driven terms.
NOTE: QuickBooks Desktop does not support pagination for date-driven terms; hence, there is no cursor parameter. Users typically have few date-driven terms.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const dateDrivenTerms = await conductor.qbd.dateDrivenTerms.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(dateDrivenTerms.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
date_driven_terms = conductor.qbd.date_driven_terms.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(date_driven_terms.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/date-driven-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objectType": "list",
"url": "/v1/quickbooks-desktop/date-driven-terms",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_date_driven_term",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "2% 5th Net 25th",
"isActive": true,
"dueDayOfMonth": 15,
"gracePeriodDays": 2,
"discountDayOfMonth": 5,
"discountPercentage": "10"
}
]
}Authorizations
Headers
Query Parameters
Filter for specific date-driven terms by their QuickBooks-assigned unique identifier(s).
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["80000001-1234567890"]
Filter for specific date-driven terms by their name(s), case-insensitive. Like id, name is a unique identifier for a date-driven term.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["2% 5th Net 25th"]
The maximum number of objects to return.
IMPORTANT: QuickBooks Desktop does not support cursor-based pagination for date-driven terms, so this parameter only limits the response size. To page through date-driven terms by name, see Paging by name.
When this parameter is omitted, the endpoint returns all date-driven terms without limit, unlike paginated endpoints which default to 150 records.
x >= 110
Filter for date-driven terms updated on or after this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for date-driven terms updated on or before this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Filter for date-driven terms whose name sorts at or after this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters.
When you set nameFrom or nameTo, QuickBooks returns date-driven terms sorted by name in that order; without either, the order is not guaranteed. To page through date-driven terms by name, see Paging by name.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
"A"
Filter for date-driven terms whose name sorts at or before this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters. If you also set nameFrom, it must not sort after this value, or QuickBooks returns an error.
When you set nameFrom or nameTo, QuickBooks returns date-driven terms sorted by name in that order; without either, the order is not guaranteed.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
"Z"
Response
Returns a list of date-driven terms.

